Bug 55942 - (SCSI AIC7XXX)Installer hangs when loading aic7xxx module cardbus
(SCSI AIC7XXX)Installer hangs when loading aic7xxx module cardbus
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-11-09 01:35 EST by Christian Rinderknecht
Modified: 2008-08-01 12:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:39:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
This is an excerpt the /var/log/messages file corresponding to the boot-up with my Adaptec SlimSCSI 1480B cardbus plugged. (17.26 KB, text/plain)
2001-11-09 01:42 EST, Christian Rinderknecht
no flags Details

  None (edit)
Description Christian Rinderknecht 2001-11-09 01:35:38 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.2-2 i686)

Description of problem:
I want to install Red Hat 7.2 on my IBM ThinkPad A20p, and use an Adaptec
SlimSCSI 1480B cardbus connected to a Plextor CD-RW. I switched on the
CD-RW before powering up the laptop, and I also checked the SCSI chain

Problem is the installer freezes the machine when loading the aic7xxx

The same occurs when trying to install Red Hat 7.1.

I nevertheless installed successfully RH 7.2 without the SCSI cardbus, but
the system fails in recognizing the cardbus. I attach the
/var/log/messages. Maybe it gives the reason for the installer failure.

I have a question: is my system supporting SCSI then?

Best regards,

Christian Rinderknecht

PS According to the Summary Examples, I guess my kind of problem is not
unkown, but maybe it is new for Red Hat 7.2 with my card.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Install Red Hat 7.2

Actual Results:  The install process hangs up.

Expected Results:  Installation complete.

Additional info:
Comment 1 Christian Rinderknecht 2001-11-09 01:42:35 EST
Created attachment 36981 [details]
This is an excerpt the /var/log/messages file corresponding to the boot-up with my Adaptec SlimSCSI 1480B cardbus plugged.
Comment 2 Ed Friedman 2001-11-12 17:51:53 EST
I have also observed this problem.  However, in my case, I have SCSI hard drive
and CD-ROM, which means it is impossible to install 7.2 onto systems like mine. 
However, I did observe that while the system seems to hang, if you wait long
enough, eventually a kernel panic message appears on the screen.
Comment 3 Brent Fox 2001-11-20 13:26:51 EST
This seems like a kernel problem if the card doesn't get recognized even after
installation.  Changing component.
Comment 4 Christian Rinderknecht 2001-11-20 18:19:21 EST
Few days ago I realized that the kernel do recognize the Card bus after
installation. The procedure is in fact (too?) simple: boot with the cardbus
plugged in, start pcmcia at boot time, and ignore error messages from cardmgr
deamon in /var/log/messages: the *hotplug agent* do silently the proper work...
According to David Hinds, maintainer and developper of the pcmcia-cs package at
SourceForge, cardmgr is no more in charge of Card Bus (32 bits interfaces), and
the new hotplug agent is, but still cadmgr seems to try to do the right job, and
fails. Anyway, the CD-RW drive is hooked at /dev/scd0, as expected. The
installation problem (I didn't wait long enough to check the kernel panic)
remains open?
Comment 5 Need Real Name 2001-11-30 12:10:11 EST
I have the same problem
trying to install to IBM Netfinity3000, Intel Motherboard, Onboard SCSI to 
For RedHat 7.1 I found a new boot.img in 
http://www.redhat.com.br/support/resources/gotchas/7.1/, that works with boot 
boot: linux apic
But to RH7.2 no way...

Comment 6 Steevithak 2001-12-03 12:35:55 EST
I'm getting the same problem. I was trying to upgrade a VA Linux 2230 server
that previously had run Red Hat Linux 6.2 with no problem. When trying to
install RH7.2 it hangs on the aic7xxx module. Doing an alt-F4 reveals that the
driver appears to be looping through all the SCSI IDs and receiving "timeout"
errors. Oddly the first time through, it correctly identifies the drives that
are present just before claiming to have had a time out. On subsequent loops
through the IDs, though, no drive information appears. After a couple of times
through, it transitions to weirded sounding stuff, saying that "device resets"
have occurred and printing "trying harder" messages. Meanwhile, back on the main
install screen, you just see the "loading aic7xxx" message and it appears to be
Comment 7 Arjan van de Ven 2001-12-03 12:41:04 EST
For 7.2 you still need the "apic" option to work around the broken bios.
Comment 8 Need Real Name 2002-01-28 01:39:15 EST
Mine is L440GX motherboard with Adaptec 7896 SCSI. I want to install RH7.2. 
Where can I find rhe required boot disks?

Sagar Srivastava

Comment 9 Bugzilla owner 2004-09-30 11:39:15 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.